Package be.fgov.ehealth.dics.protocol.v5

# Class StandardRouteNameCriterionType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.StandardRouteNameCriterionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class StandardRouteNameCriterionType extends Object implements Serializable

Java class for StandardRouteNameCriterionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StandardRouteNameCriterionType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="Standard" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardRouteNameCriterionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getStandard()`
  Gets the value of the standard property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setStandard(String value)`
  Sets the value of the standard property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandardRouteNameCriterionType

    public StandardRouteNameCriterionType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStandard

    public String getStandard()
    Gets the value of the standard property.
    Returns:
      possible object is `String`

  - ### setStandard

    public void setStandard(String value)
    Sets the value of the standard property.
    Parameters:
      `value` - allowed object is `String`